import './bce-element-icons';
import { EventEmitter } from '../../stencil.core';
import { Block } from '../../models/block';
import { ElementLabels } from '../../models/labels';
import { ResolveLocation } from '../../models/resolve-location';
export declare class BceElement {
    private el;
    type: Block.Type;
    value: Block.Element | string;
    template: boolean;
    hasFocus: boolean;
    name: string;
    elementIcon: string;
    readonly?: boolean;
    labels: ElementLabels;
    resolveLocation?: ResolveLocation;
    onDelete: EventEmitter;
    onDuplicate: EventEmitter;
    private handleFocus;
    private handleInput;
    private handleBlur;
    private handleDelete;
    private handleDuplicate;
    componentWillLoad(): void;
    parseValue(value: Block.Element | string): void;
    renderElement(): any;
    renderTemplate(): any[];
    render(): any;
}
